<?php
include("cp_header.php"); /**************************************************صفحة اضافة اسئلة الاستبيانات*******************************************************************/


//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));


/*  اسم الجدول وبداية الكويرى */  
$table='polls_questions';


//منع الانجكشن
if(!isset($_GET['id']) || !is_numeric($_GET['id'])){
	
die("الصفحة غير موجودة");		
}	

$query_current_poll="select title,type from polls where id=".$_GET['id'];
$result_current_poll=mysqli_query($conn,$query_current_poll);
$fetch_current_poll=mysqli_fetch_array($result_current_poll);
	$fetch_current_poll=clean_array($fetch_current_poll);
$current_poll=$fetch_current_poll['title'];
$current_poll_type=$fetch_current_poll['type'];
if(mysqli_num_rows($result_current_poll)!=1){
die("الصفحة غير موجودة");		
}

?>
<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
unset($_SESSION['LastRequest']);
echo"<script type='text/javascript'>
window.location.href = '".$_SERVER['PHP_SELF']."?id=$_GET[id]';
</script> ";
exit();
}
else
{
  $_SESSION['LastRequest'] = $RequestSignature;
}
//فى حالة السبمت
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {


//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['title']);
$poll_id=$_GET['id'];
$option1=$_POST['option1'];
$option2=$_POST['option2'];
$option3=$_POST['option3'];
$option4=$_POST['option4'];
$option5=$_POST['option5'];

$created=date('Y-m-d H:i:s');
$priority=0;
if(isset($_POST['priority'])){ $priority=1; }


//نحديد الرقم المتسلسل التالى
//تنفيذ الاستعلام
$result=mysqli_query($conn,"select max(`sort`)+1 as `sort_num` from $table");
$fetch =mysqli_fetch_array($result);
$sort_num=1;if(is_numeric($fetch['sort_num'])){$sort_num=$fetch['sort_num'];}

$q="insert into $table (`sort`,`poll_id`,`title`,`option1`,`option2`,`option3`,`option4`,`option5`,`created`,`user_created`,`priority`) 
values($sort_num,'$poll_id','$title','$option1','$option2','$option3','$option4','$option5','$created',$priority)";

	


//بداية الاستعلام
$query= mysqli_prepare(

			$conn,

			"INSERT INTO `$table`

			(`sort`,`poll_id`,`title`,`option1`,`option2`,`option3`,`option4`,`option5`,`created`,`user_created`,`priority`) 

			VALUES 

			( ?, ?, ?, ?, ?, ? ,? ,? ,? ,? ,?)");

		

			
			//نهيئة المتغيرات وحمايتها من الحقن
			mysqli_stmt_bind_param($query,'iissssssssi',
			
			$sort_num,$poll_id,$title,$option1,$option2,$option3,$option4,$option5,$created,$_SESSION[$domain."_user"],$priority

			);

			
			
//تنفيذ الاستعلام وتخزين حالته
$execute_status=mysqli_stmt_execute($query);
			 
//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
echo "<div class='true'>تم رفع السؤال</div>";
}else{
echo "<div class='false'>لم يتم رفع السؤال</div>";		
}

unset($_POST['submit']);
}else{

}

error:


?>	
	
	
	
	
<div id="cp_title"> اضافة سؤال جديد
<a  href="view_<?php echo $table; ?>.php?id=<?php echo $_GET['id']?>" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>	

</div>
<div id="cp_body">
<form id="app_form" enctype="multipart/form-data"   method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>?id=<?php echo $_GET['id']?>">
<div class="cp_word_body">
<div class="cp_login_row" style="float:right;height: 55px;background:#131b59;">
<div class="cp_title" style='color:var(--white);width:100%;'>
الاستبيان الحالى : <span style='background:#f7f6f6;color:#131b59;padding: 0px 5px;'> <?php echo $current_poll; ?> </span>
&nbsp;&nbsp;&nbsp;  | &nbsp; &nbsp;
نوع الاستبيان : <span style='background:#f7f6f6;color:#131b59;padding: 0px 5px;'> <?php echo $current_poll_type; ?> </span>
</div>

</div>	

<hr/>

<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title"><span style="color:red">*</span>السؤال</div>
<div class="cp_field">
<input alt="1" class="<?php  if($_SESSION['lang_ar']==1){echo 'required'; } ?>" name="title" type="text" />
<div class="field_val "></div>	
</div>
</div>	



<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title"><span style="color:red">*</span>الخيار الاول</div>
<div class="cp_field" >
<input alt="1" class="<?php  if($_SESSION['lang_ar']==1){echo 'required'; } ?>" name="option1" type="text" />
<div class="field_val "></div>
</div>
</div>
<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title"><span style="color:red">*</span>الخيار الثانى</div>
<div class="cp_field" >
<input alt="1" class="<?php  if($_SESSION['lang_ar']==1){echo 'required'; } ?>" name="option2" type="text" />
<div class="field_val "></div>
</div>
</div>

<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">الخيار الثالث</div>
<div class="cp_field" >
<input alt="1" class="" name="option3" type="text" />
<div class="field_val "></div>
</div>
</div>


<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">الخيار الرابع</div>
<div class="cp_field" >
<input alt="1" class="" name="option4" type="text" />
<div class="field_val "></div>
</div>
</div>


<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">الخيار الخامس</div>
<div class="cp_field" >
<input alt="1" class="" name="option5" type="text" />
<div class="field_val "></div>
</div>
</div>

<div class="cp_login_row" >
<div class="cp_title">الاولوية</div>
<div class="cp_field">
<input style='width:30px;' alt="1" id="ajil" name="priority" type="checkbox"  />	
</div>
</div>
<div class="cp_login_row">
<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="اضافة"  title="دخول" type="submit"></div>

</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>
</div>
	
	

</div>


<?php 
//تحميل الفوتر
include("cp_footer.php");?>